# 请求头、Cookie、方法

网页爬虫 API 通过使用我们团队预定义的 headers 和 cookies 来最大化网站解封效率。如果需要，您也可以定义自己的 headers、cookies 和 HTTP 方法。

## 自定义 headers

如果您需要使用自己的 headers，可以通过添加 `context:force_headers` 参数并将其设置为 `true` 在提交爬取任务时。网页爬虫 API 会将您自定义的 headers 与预定义的 headers 一起发送，然后使用它们访问网站。

#### 代码示例

```json
{
    "context": [
        {
            "key": "force_headers",
            "value": true
        },
        {
            "key": "headers",
            "value": {
                "Accept-Language": "en-US,en;q=0.5"
            }
        }
    ]
    "source": "universal",
    "url": "https://example.com",
}
```

## 自定义 cookies

如果您需要使用自己的 cookies，可以通过添加 `context:force_cookies` 参数并将其设置为 `true` 在提交爬取任务时。网页爬虫 API 会将您自定义的 cookies 与预定义的 cookies 一起发送，然后使用它们访问网站。如果您还想重用相同的代理 IP 地址，请查看 [proxy sessions](https://developers.oxylabs.io/documentation/cn/zhua-qu-jie-jue-fang-an/web-scraper-api/localization/proxy-location#sessions) 文档。

#### 代码示例

```json
{
    "context": [
        {
            "key": "force_cookies",
            "value": true
        },
        {
            "key": "cookies",
            "value": [
                {
                    "key": "NID", 
                    "value": "1234567890"
                }
            ]
        },
    ],
    "source": "universal",
    "url": "https://example.com",
}
```

## HTTP 方法

`universal` 源默认使用 `GET` HTTP 方法。

如果您需要向目标网站提交数据，必须将 HTTP 方法设置为 `POST` 并提供一个 Base64 编码的 `POST` 请求正文。

**代码示例**

```json
[
    {
        "key": "http_method",
        "value": "post"
    },
    {
        "key": "content",
        "value": "base64EncodedPOSTBody"
    }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.oxylabs.io/documentation/cn/zhua-qu-jie-jue-fang-an/web-scraper-api/features/http-context-and-job-management/headers-cookies-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
